using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using NetPanel.Bl;
using NetPanel.Entity;
using NetPanel.Help;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Runtime.InteropServices;
using System.Threading.Tasks;

namespace NetPanel.Controllers.Home
{
    public class HomeController : Controller
    {

        public IActionResult Overview()
        {
            return View();
        }


        public IActionResult Index()
        {

            ViewBag.data = new List<Menu>()
            {

                new Menu()
                     {
                        Id=1,
                      MenuName="概况",
                      Icon="nav-icon fas fa-th",
                     Url="/Home/Overview"
                     },


                     new Menu()
                     {
                        Id=2,
                      MenuName="SSH",
                      Icon="nav-icon fas fa-th",
                     Url="/SSH/SSH"
                     },


                    new Menu()
                     {
                        Id=2,
                      MenuName="列表",
                      Icon="nav-icon fas fa-th",
                        Child=new List<Menu>(){
                          new Menu{  MenuName="已有插件" , Url="/DataList/JsonData"},
                          new Menu{  MenuName="模板插件" , Url="/DataList/JsonDataV7"},
                          new Menu{  MenuName="404列表" , Url="/DataList/DownloadFileList"},
                        }
                     }

                };

            return View();

        }



    }
}
